Jump to content

Dedicated Server Broke After The Winona Update


Recommended Posts

Well, my dedicated server stoped working after the Winona update. The server seems to work but it's not showing up my browsing list. I dont' actually know if thats because the update or some other bug but it's most likely the update. When I host the server it seems to work perfectly.  

server_log.txt

Here's my server log if that helps.

Link to comment
Share on other sites

Check if your server is up to date.

If you think it's up to date, try connecting directly to your server using the command

c_connect("<server ip>",<port>[,"password"])

(If there's an issue this usually provides some info on whaat's wrong.)

Link to comment
Share on other sites

@Daniel86268

I don't know how to check if my server is up to date, can you give me some guidelines on how to do it ?

Also tried the command but I have no password on my server, should I erase the last line with password?

PS: The server ip, port I can find in cluster.ini file right?

 

 

Link to comment
Share on other sites

Ok, I updated my server running this script:

#!/bin/bash

steamcmd_dir="$HOME/steamcmd"
install_dir="$HOME/dontstarvetogether_dedicated_server"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/Documents/Klei/DoNotStarveTogether"

function fail()
{
        echo Error: "$@" >&2
        exit 1
}

function check_for_file()
{
    if [ ! -e "$1" ]; then
            fail "Missing file: $1"
    fi
}

cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!"

check_for_file "steamcmd.sh"
check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"
check_for_file "$dontstarve_dir/$cluster_name/Caves/server.ini"

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

check_for_file "$install_dir/dontstarve_dedicated_server_nullrenderer.app/Contents/MacOS/"

cd "$install_dir/dontstarve_dedicated_server_nullrenderer.app/Contents/MacOS/" || fail

run_shared=(./dontstarve_dedicated_server_nullrenderer)
run_shared+=(-console)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)

"${run_shared[@]}" -shard Caves  | sed 's/^/Caves:  /' &
"${run_shared[@]}" -shard Master | sed 's/^/Master: /'

And it seems to work now. I didn't have this line in code:

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

So my server just wan't updated!

Also thanks for your help @Daniel86268!!!

Link to comment
Share on other sites

@Daniel86268 In the command line below, is the "$instsall_dir" supposed to be the unique location where I have mine installed or is that just a generic location reference that will work regardless of where I installed it?

 

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

 

Edit:  How much, if any, of the command line above is unique to Mac?  I am running windows.

Link to comment
Share on other sites

On 10.3.2019 at 8:05 PM, I Heart Popcorn said:

"$install_dir"

indicates the absolute install location for the dedicated server. It is defined further up in the launch script like this:

On 9.3.2019 at 7:21 PM, Izerix said:

install_dir="$HOME/dontstarvetogether_dedicated_server"

($HOME is yet again another variable, in that case the system wide user home directory. This depends on the OS.)

Edit:

On Windows the command is

c:\steamcmd\steamcmd.exe +login anonymous +app_update 343050 validate +quit
Link to comment
Share on other sites

Sorry to keep asking more questions, but which part of the command is forcing the update?  The "+app update" or the "force install"?  I have the "app update" portion of the command in my startup file but it's still on

On 3/10/2019 at 2:05 PM, I Heart Popcorn said:

@Daniel86268 In the command line below, is the "$instsall_dir" supposed to be the unique location where I have mine installed or is that just a generic location reference that will work regardless of where I installed it?

 

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

 

Edit:  How much, if any, of the command line above is unique to Mac?  I am running windows.

Thank you!

Link to comment
Share on other sites

Same.

 

[00:00:15]: Best lobby region is aws/US (ping 42)
[00:00:15]: Registering master server in US lobby
[00:00:17]: CURL ERROR: (metric.kleientertainment.com) Operation timed out after 0 milliseconds with 0 out of 0 bytes received
[00:00:17]: CURL ERROR: (metric.kleientertainment.com) Operation timed out after 0 milliseconds with 0 out of 0 bytes received

Link to comment
Share on other sites

14 hours ago, I Heart Popcorn said:

Sorry to keep asking more questions, but which part of the command is forcing the update?  The "+app update" or the "force install"?  I have the "app update" portion of the command in my startup file but it's still on

Well, it's not really "forcing" the update.

It launches the steamcmd utility with ./steamcmd.sh  or c:\steamcmd\steamcmd.exe depending on the OS.

Afterwards it get's handed some paramters to configure what steamcmd is supposed to do:

+force_install_dir "$install_dir" tells steamcmd where to install/update the software

+login anonymous  provides an anonymous login. Steamcmd needs a login, either anonymous or a normal steam login. Some games require a normal login, the DST dedicated server doesn't, so for simplicity it's anonymous.

+app_update 343050 validate tells steamcmd to update the software with the id 343050 and validate it afterwards, to check if it's still ok.

+quit makes steamcmd quit after doing the other stuff, since it'd otherwise wait for more commands, and would stop the DST launch script from continuing to boot up.

Link to comment
Share on other sites

On 12/03/2019 at 23:30, Redakted said:

Mesmo.

In 2018 I made my server, ran so far without problems! But, now it gave a problem with a mod that lost a world and did poor on the dedicated server. I created everything again, next: it passes the bat folder ok, then opens the following 02 windows and it goes up in Sim paused, apparently ok, then next comes the message Registering master server in US lobby and does not leave it. Please, if you can help me !! Thankful !!

I am Brazilian and I used Google Translate, sorry if there are errors of verbal agreement.

[00:00:15]: A melhor região de lobby é aws / US (ping 42)
[00:00:15]: Registrando o servidor mestre no lobby dos EUA
[00:00:17]: CURL ERROR: (metric.kleientertainment.com ) A operação expirou após 0 milissegundos com 0 de 0 bytes recebidos
[00:00:17]: CURL ERROR: (metric.kleientertainment.com) A operação expirou após 0 milissegundos com 0 de 0 bytes recebidos

 

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

×
  • Create New...